/******************************************************************************
 * $Id$
 *
 * Project:  S-57 Translator
 * Purpose:  Inline tables.
 * Author:   Frank Warmerdam, warmerdam@pobox.com
 *
 ******************************************************************************
 * Copyright (c) 1999, 2001, Frank Warmerdam
 *
 * Permission is hereby granted, free of charge, to any person obtaining a
 * copy of this software and associated documentation files (the "Software"),
 * to deal in the Software without restriction, including without limitation
 * the rights to use, copy, modify, merge, publish, distribute, sublicense,
 * and/or sell copies of the Software, and to permit persons to whom the
 * Software is furnished to do so, subject to the following conditions:
 *
 * The above copyright notice and this permission notice shall be included
 * in all copies or substantial portions of the Software.
 *
 * THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS
 * OR IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
 * FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL
 * THE AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
 * LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING
 * FROM, OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER
 * DEALINGS IN THE SOFTWARE.
 *****************************************************************************/

// Only included in s57classregistrar.cpp.

static const char *gpapszS57Classes[] = {
    "\"Code\",\"ObjectClass\",\"Acronym\",\"Attribute_A\",\"Attribute_B\","
    "\"Attribute_C\",\"Class\",\"Primitives\"",
    "1,Administration area "
    "(Named),ADMARE,JRSDTN;NATION;NOBJNM;OBJNAM;,INFORM;NINFOM;NTXTDS;PICREP;"
    "SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "2,Airport / "
    "airfield,AIRARE,CATAIR;CONDTN;CONVIS;NOBJNM;OBJNAM;STATUS;,INFORM;NINFOM;"
    "NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;"
    "Area;",
    "3,Anchor "
    "berth,ACHBRT,CATACH;DATEND;DATSTA;NOBJNM;OBJNAM;PEREND;PERSTA;RADIUS;"
    "STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;Area;",
    "4,Anchorage "
    "area,ACHARE,CATACH;DATEND;DATSTA;NOBJNM;OBJNAM;PEREND;PERSTA;RESTRN;"
    "STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;Area;",
    "5,\"Beacon, "
    "cardinal\",BCNCAR,BCNSHP;CATCAM;COLOUR;COLPAT;CONDTN;CONVIS;CONRAD;DATEND;"
    "DATSTA;ELEVAT;HEIGHT;MARSYS;NATCON;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;"
    "VERACC;VERDAT;VERLEN;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "6,\"Beacon, isolated "
    "danger\",BCNISD,BCNSHP;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;DATEND;DATSTA;"
    "ELEVAT;HEIGHT;MARSYS;NATCON;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;VERACC;"
    "VERDAT;VERLEN;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;"
    "RECIND;SORDAT;SORIND;,G,Point;",
    "7,\"Beacon, "
    "lateral\",BCNLAT,BCNSHP;CATLAM;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;DATEND;"
    "DATSTA;ELEVAT;HEIGHT;MARSYS;NATCON;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;"
    "VERACC;VERDAT;VERLEN;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "8,\"Beacon, safe "
    "water\",BCNSAW,BCNSHP;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;DATEND;DATSTA;"
    "ELEVAT;HEIGHT;MARSYS;NATCON;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;VERACC;"
    "VERDAT;VERLEN;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;"
    "RECIND;SORDAT;SORIND;,G,Point;",
    "9,\"Beacon, special "
    "purpose/"
    "general\",BCNSPP,BCNSHP;CATSPM;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;DATEND;"
    "DATSTA;ELEVAT;HEIGHT;MARSYS;NATCON;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;"
    "VERACC;VERDAT;VERLEN;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "10,Berth,BERTHS,DATEND;DATSTA;DRVAL1;NOBJNM;OBJNAM;PEREND;PERSTA;QUASOU;"
    "SOUACC;STATUS;VERDAT;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;Area;",
    "11,Bridge,BRIDGE,CATBRG;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;DATEND;DATSTA;"
    "HORACC;HORCLR;NATCON;NOBJNM;OBJNAM;VERACC;VERCCL;VERCLR;VERCOP;VERDAT;,"
    "INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;Line;Area;",
    "12,\"Building, "
    "single\",BUISGL,BUISHP;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;ELEVAT;FUNCTN;"
    "HEIGHT;NATCON;NOBJNM;OBJNAM;STATUS;VERACC;VERDAT;VERLEN;,INFORM;NINFOM;"
    "NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;"
    "Area;",
    "13,Built-up "
    "area,BUAARE,CATBUA;CONDTN;CONRAD;CONVIS;HEIGHT;NOBJNM;OBJNAM;VERACC;"
    "VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;Area;",
    "14,\"Buoy, "
    "cardinal\",BOYCAR,BOYSHP;CATCAM;COLOUR;COLPAT;CONRAD;DATEND;DATSTA;MARSYS;"
    "NATCON;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;VERACC;VERLEN;,INFORM;NINFOM;"
    "NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "15,\"Buoy, "
    "installation\",BOYINB,BOYSHP;CATINB;COLOUR;COLPAT;CONRAD;DATEND;DATSTA;"
    "MARSYS;NATCON;NOBJNM;OBJNAM;PEREND;PERSTA;PRODCT;STATUS;VERACC;VERLEN;,"
    "INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;",
    "16,\"Buoy, isolated "
    "danger\",BOYISD,BOYSHP;COLOUR;COLPAT;CONRAD;DATEND;DATSTA;MARSYS;NATCON;"
    "NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;VERACC;VERLEN;,INFORM;NINFOM;NTXTDS;"
    "PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "17,\"Buoy, "
    "lateral\",BOYLAT,BOYSHP;CATLAM;COLOUR;COLPAT;CONRAD;DATEND;DATSTA;MARSYS;"
    "NATCON;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;VERACC;VERLEN;,INFORM;NINFOM;"
    "NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "18,\"Buoy, safe "
    "water\",BOYSAW,BOYSHP;COLOUR;COLPAT;CONRAD;DATEND;DATSTA;MARSYS;NATCON;"
    "NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;VERACC;VERLEN;,INFORM;NINFOM;NTXTDS;"
    "PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "19,\"Buoy, special "
    "purpose/"
    "general\",BOYSPP,BOYSHP;CATSPM;COLOUR;COLPAT;CONRAD;DATEND;DATSTA;MARSYS;"
    "NATCON;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;VERACC;VERLEN;,INFORM;NINFOM;"
    "NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "20,Cable "
    "area,CBLARE,CATCBL;DATEND;DATSTA;NOBJNM;OBJNAM;RESTRN;STATUS;,INFORM;"
    "NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "21,\"Cable, "
    "overhead\",CBLOHD,CATCBL;CONDTN;CONRAD;CONVIS;DATEND;DATSTA;ICEFAC;NOBJNM;"
    "OBJNAM;STATUS;VERACC;VERCLR;VERCSA;VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;",
    "22,\"Cable, "
    "submarine\",CBLSUB,BURDEP;CATCBL;CONDTN;DATEND;DATSTA;NOBJNM;OBJNAM;"
    "STATUS;VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;"
    "SORDAT;SORIND;,G,Line;",
    "23,Canal,CANALS,CATCAN;CONDTN;DATEND;DATSTA;HORACC;HORCLR;HORWID;NOBJNM;"
    "OBJNAM;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;"
    "SORDAT;SORIND;,G,Line;Area;",
    "24,Canal "
    "bank,CANBNK,CONDTN;DATEND;DATSTA;NOBJNM;OBJNAM;,INFORM;NINFOM;NTXTDS;"
    "SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;Area;",
    "25,Cargo transshipment "
    "area,CTSARE,DATEND;DATSTA;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;,INFORM;"
    "NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,"
    "Point;Area;",
    "26,Causeway,CAUSWY,CONDTN;NATCON;NOBJNM;OBJNAM;STATUS;WATLEV;,INFORM;"
    "NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;"
    "Area;",
    "27,Caution "
    "area,CTNARE,DATEND;DATSTA;PEREND;PERSTA;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "28,Checkpoint,CHKPNT,CATCHP;NOBJNM;OBJNAM;STATUS;,INFORM;NINFOM;NTXTDS;"
    "SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "29,Coastguard "
    "station,CGUSTA,DATEND;DATSTA;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;,INFORM;"
    "NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "30,Coastline,COALNE,CATCOA;COLOUR;CONRAD;CONVIS;ELEVAT;NOBJNM;OBJNAM;"
    "VERACC;VERDAT;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;"
    "RECIND;SORDAT;SORIND;,G,Line;",
    "31,Contiguous "
    "zone,CONZNE,DATEND;DATSTA;NATION;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "32,Continental shelf "
    "area,COSARE,NATION;NOBJNM;OBJNAM;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "33,Control "
    "point,CTRPNT,CATCTR;DATEND;DATSTA;ELEVAT;NOBJNM;OBJNAM;VERACC;VERDAT;,"
    "INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;",
    "34,Conveyor,CONVYR,CATCON;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;DATEND;"
    "DATSTA;HEIGHT;LIFCAP;NOBJNM;OBJNAM;PRODCT;STATUS;VERACC;VERCLR;VERDAT;"
    "VERLEN;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;"
    "SORDAT;SORIND;,G,Line;Area;",
    "35,Crane,CRANES,CATCRN;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;HEIGHT;LIFCAP;"
    "NOBJNM;OBJNAM;ORIENT;RADIUS;STATUS;VERACC;VERCLR;VERDAT;VERLEN;,INFORM;"
    "NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,"
    "Point;Area;",
    "36,Current - non - "
    "gravitational,CURENT,CURVEL;DATEND;DATSTA;NOBJNM;OBJNAM;ORIENT;PEREND;"
    "PERSTA;,INFORM;NINFOM;SCAMAX;SCAMIN;,RECDAT;RECIND;SORDAT;SORIND;,G,"
    "Point;",
    "37,Custom "
    "zone,CUSZNE,NATION;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;"
    "RECIND;SORDAT;SORIND;,G,Area;",
    "38,Dam,DAMCON,CATDAM;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;DATEND;DATSTA;"
    "HEIGHT;NATCON;NOBJNM;OBJNAM;VERACC;VERDAT;VERLEN;,INFORM;NINFOM;NTXTDS;"
    "SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;Area;",
    "39,Daymark,DAYMAR,CATSPM;COLOUR;COLPAT;DATEND;DATSTA;ELEVAT;HEIGHT;NATCON;"
    "NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;TOPSHP;VERACC;VERDAT;VERLEN;,INFORM;"
    "NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "40,Deep water route "
    "centerline,DWRTCL,CATTRK;DATEND;DATSTA;DRVAL1;DRVAL2;NOBJNM;OBJNAM;ORIENT;"
    "QUASOU;SOUACC;STATUS;TECSOU;TRAFIC;VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;",
    "41,Deep water route "
    "part,DWRTPT,DATEND;DATSTA;DRVAL1;DRVAL2;NOBJNM;OBJNAM;ORIENT;QUASOU;"
    "SOUACC;STATUS;TECSOU;TRAFIC;VERDAT;RESTRN;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "42,Depth "
    "area,DEPARE,DRVAL1;DRVAL2;QUASOU;SOUACC;VERDAT;,INFORM;NINFOM;NTXTDS;"
    "SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;Area;",
    "43,Depth "
    "contour,DEPCNT,VALDCO;VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Line;",
    "44,Distance "
    "mark,DISMAR,CATDIS;DATEND;DATSTA;NOBJNM;OBJNAM;,INFORM;NINFOM;NTXTDS;"
    "SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "45,Dock "
    "area,DOCARE,CATDOC;CONDTN;DATEND;DATSTA;HORACC;HORCLR;NOBJNM;OBJNAM;"
    "STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Area;",
    "46,Dredged "
    "area,DRGARE,DRVAL1;DRVAL2;NOBJNM;OBJNAM;QUASOU;RESTRN;SOUACC;TECSOU;"
    "VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Area;",
    "47,Dry "
    "dock,DRYDOC,CONDTN;HORACC;HORCLR;HORLEN;HORWID;NOBJNM;OBJNAM;STATUS;"
    "DRVAL1;QUASOU;SOUACC;VERDAT;,INFORM;NINFOM;SCAMAX;SCAMIN;,RECDAT;RECIND;"
    "SORDAT;SORIND;,G,Area;",
    "48,Dumping "
    "ground,DMPGRD,CATDPG;NOBJNM;OBJNAM;RESTRN;STATUS;,INFORM;NINFOM;NTXTDS;"
    "SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "49,Dyke,DYKCON,CONDTN;CONRAD;DATEND;DATSTA;HEIGHT;NATCON;VERACC;VERDAT;"
    "VERLEN;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Line;Area;",
    "50,Exclusive Economic "
    "Zone,EXEZNE,NATION;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;"
    "RECIND;SORDAT;SORIND;,G,Area;",
    "51,Fairway,FAIRWY,DATEND;DATSTA;DRVAL1;NOBJNM;OBJNAM;ORIENT;QUASOU;RESTRN;"
    "SOUACC;STATUS;TRAFIC;VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "52,Fence/"
    "wall,FNCLNE,CATFNC;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;ELEVAT;HEIGHT;"
    "NATCON;NOBJNM;OBJNAM;STATUS;VERACC;VERDAT;VERLEN;,INFORM;NINFOM;NTXTDS;"
    "PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;",
    "53,Ferry "
    "route,FERYRT,CATFRY;DATEND;DATSTA;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;,"
    "INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,"
    "Line;Area;",
    "54,Fishery "
    "zone,FSHZNE,NATION;NOBJNM;OBJNAM;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "55,Fishing "
    "facility,FSHFAC,CATFIF;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;VERACC;VERLEN;,"
    "INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,"
    "Point;Line;Area;",
    "56,Fishing "
    "ground,FSHGRD,NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;,INFORM;NINFOM;NTXTDS;"
    "SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "57,Floating "
    "dock,FLODOC,COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;DATEND;DATSTA;DRVAL1;"
    "HORACC;HORCLR;HORLEN;HORWID;LIFCAP;NOBJNM;OBJNAM;STATUS;VERACC;VERLEN;"
    "VERDAT;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;"
    "SORDAT;SORIND;,G,Line;Area;",
    "58,Fog "
    "signal,FOGSIG,CATFOG;DATEND;DATSTA;NOBJNM;OBJNAM;SIGFRQ;SIGGEN;SIGGRP;"
    "SIGPER;SIGSEQ;STATUS;VALMXR;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "59,Fortified "
    "structure,FORSTC,CATFOR;CONDTN;CONRAD;CONVIS;HEIGHT;NATCON;NOBJNM;OBJNAM;"
    "VERACC;VERDAT;VERLEN;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;Area;",
    "60,Free port "
    "area,FRPARE,NOBJNM;OBJNAM;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "61,Gate,GATCON,CATGAT;CONDTN;DRVAL1;HORACC;HORCLR;NATCON;NOBJNM;OBJNAM;"
    "QUASOU;SOUACC;STATUS;VERACC;VERCLR;VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;Area;",
    "62,Gridiron,GRIDRN,HORACC;HORLEN;HORWID;NATCON;NOBJNM;OBJNAM;STATUS;"
    "VERACC;VERLEN;WATLEV;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;"
    "RECIND;SORDAT;SORIND;,G,Point;Area;",
    "63,Harbour area "
    "(administrative),HRBARE,NOBJNM;OBJNAM;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "64,Harbour "
    "facility,HRBFAC,CATHAF;CONDTN;DATEND;DATSTA;NATCON;NOBJNM;OBJNAM;PEREND;"
    "PERSTA;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;"
    "SORDAT;SORIND;,G,Point;Area;",
    "65,Hulk,HULKES,CATHLK;COLOUR;COLPAT;CONRAD;CONVIS;HORACC;HORLEN;HORWID;"
    "NOBJNM;OBJNAM;VERACC;VERLEN;CONDTN;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "66,Ice "
    "area,ICEARE,CATICE;CONVIS;ELEVAT;HEIGHT;NOBJNM;OBJNAM;PEREND;PERSTA;"
    "STATUS;VERACC;VERDAT;VERLEN;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "67,Incineration "
    "area,ICNARE,NOBJNM;OBJNAM;PEREND;PERSTA;RESTRN;STATUS;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "68,Inshore traffic "
    "zone,ISTZNE,CATTSS;DATEND;DATSTA;RESTRN;STATUS;,INFORM;NINFOM;NTXTDS;"
    "SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "69,Lake,LAKARE,ELEVAT;NOBJNM;OBJNAM;VERACC;VERDAT;,INFORM;NINFOM;NTXTDS;"
    "SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "70,Lake "
    "shore,LAKSHR,NOBJNM;OBJNAM;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Line;Area;",
    "71,Land "
    "area,LNDARE,CONDTN;NOBJNM;OBJNAM;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;Area;",
    "72,Land "
    "elevation,LNDELV,CONVIS;ELEVAT;NOBJNM;OBJNAM;VERACC;VERDAT;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;",
    "73,Land "
    "region,LNDRGN,CATLND;NATQUA;NATSUR;NOBJNM;OBJNAM;WATLEV;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "74,Landmark,LNDMRK,CATLMK;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;ELEVAT;"
    "FUNCTN;HEIGHT;NATCON;NOBJNM;OBJNAM;STATUS;VERACC;VERDAT;VERLEN;,INFORM;"
    "NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;"
    "Line;Area;",
    "75,Light,LIGHTS,CATLIT;COLOUR;DATEND;DATSTA;EXCLIT;HEIGHT;LITCHR;LITVIS;"
    "MARSYS;MLTYLT;NOBJNM;OBJNAM;ORIENT;PEREND;PERSTA;SECTR1;SECTR2;SIGGRP;"
    "SIGPER;SIGSEQ;STATUS;VERACC;VALNMR;VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "76,Light "
    "float,LITFLT,COLOUR;COLPAT;CONRAD;CONVIS;DATEND;DATSTA;HORACC;HORLEN;"
    "HORWID;MARSYS;NATCON;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;VERACC;VERLEN;,"
    "INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;",
    "77,Light "
    "vessel,LITVES,COLOUR;COLPAT;CONRAD;CONVIS;DATEND;DATSTA;HORACC;HORLEN;"
    "HORWID;NATCON;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;VERACC;VERLEN;,INFORM;"
    "NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "78,Local magnetic "
    "anomaly,LOCMAG,NOBJNM;OBJNAM;VALLMA;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;Area;",
    "79,Lock "
    "basin,LOKBSN,DATEND;DATSTA;HORACC;HORCLR;HORLEN;HORWID;NOBJNM;OBJNAM;"
    "STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Area;",
    "80,Log "
    "pond,LOGPON,NOBJNM;OBJNAM;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "81,Magnetic "
    "variation,MAGVAR,DATEND;DATSTA;RYRMGV;VALACM;VALMAG;,INFORM;NINFOM;SCAMAX;"
    "SCAMIN;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;Area;",
    "82,Marine "
    "farm/"
    "culture,MARCUL,CATMFA;DATEND;DATSTA;EXPSOU;NOBJNM;OBJNAM;PEREND;PERSTA;"
    "QUASOU;RESTRN;SOUACC;STATUS;VALSOU;VERACC;VERDAT;VERLEN;WATLEV;,INFORM;"
    "NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;"
    "Line;Area;",
    "83,Military practice "
    "area,MIPARE,CATMPA;DATEND;DATSTA;NOBJNM;OBJNAM;PEREND;PERSTA;RESTRN;"
    "STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;Area;",
    "84,Mooring/warping "
    "facility,MORFAC,BOYSHP;CATMOR;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;DATEND;"
    "DATSTA;HEIGHT;NATCON;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;VERACC;VERDAT;"
    "VERLEN;WATLEV;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;"
    "RECIND;SORDAT;SORIND;,G,Point;Line;Area;",
    "85,Navigation "
    "line,NAVLNE,CATNAV;DATEND;DATSTA;ORIENT;PEREND;PERSTA;STATUS;,INFORM;"
    "NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;",
    "86,Obstruction,OBSTRN,CATOBS;CONDTN;EXPSOU;HEIGHT;NATCON;NATQUA;NOBJNM;"
    "OBJNAM;PRODCT;QUASOU;SOUACC;STATUS;TECSOU;VALSOU;VERACC;VERDAT;VERLEN;"
    "WATLEV;NATSUR;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;"
    "SORDAT;SORIND;,G,Point;Line;Area;",
    "87,Offshore "
    "platform,OFSPLF,CATOFP;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;DATEND;DATSTA;"
    "HEIGHT;NATCON;NOBJNM;OBJNAM;PRODCT;STATUS;VERACC;VERDAT;VERLEN;,INFORM;"
    "NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,"
    "Point;Area;",
    "88,Offshore production "
    "area,OSPARE,CATPRA;CONDTN;CONRAD;CONVIS;DATEND;DATSTA;HEIGHT;NOBJNM;"
    "OBJNAM;PRODCT;RESTRN;STATUS;VERACC;VERLEN;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "89,Oil "
    "barrier,OILBAR,CATOLB;CONDTN;DATEND;DATSTA;NOBJNM;OBJNAM;STATUS;,INFORM;"
    "NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;",
    "90,Pile,PILPNT,CATPLE;COLOUR;COLPAT;CONDTN;CONVIS;DATEND;DATSTA;HEIGHT;"
    "NOBJNM;OBJNAM;VERACC;VERDAT;VERLEN;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "91,Pilot boarding "
    "place,PILBOP,CATPIL;COMCHA;DATEND;DATSTA;NOBJNM;NPLDST;OBJNAM;PEREND;"
    "PERSTA;PILDST;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;"
    "RECIND;SORDAT;SORIND;,G,Point;Area;",
    "92,Pipeline "
    "area,PIPARE,CONDTN;DATEND;DATSTA;NOBJNM;OBJNAM;PRODCT;RESTRN;STATUS;"
    "CATPIP;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;Area;",
    "93,\"Pipeline, "
    "overhead\",PIPOHD,CATPIP;CONDTN;CONRAD;CONVIS;DATEND;DATSTA;NOBJNM;OBJNAM;"
    "PRODCT;STATUS;VERACC;VERCLR;VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;",
    "94,\"Pipeline, submarine/on "
    "land\",PIPSOL,BURDEP;CATPIP;CONDTN;DATEND;DATSTA;DRVAL1;DRVAL2;NOBJNM;"
    "OBJNAM;PRODCT;STATUS;VERACC;VERLEN;VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;",
    "95,Pontoon,PONTON,CONDTN;CONRAD;CONVIS;DATEND;DATSTA;NATCON;NOBJNM;OBJNAM;"
    "PEREND;PERSTA;STATUS;VERACC;VERLEN;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;Area;",
    "96,Precautionary "
    "area,PRCARE,DATEND;DATSTA;RESTRN;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "97,Production / storage "
    "area,PRDARE,CATPRA;CONDTN;CONRAD;CONVIS;DATEND;DATSTA;ELEVAT;HEIGHT;"
    "NOBJNM;OBJNAM;PRODCT;STATUS;VERACC;VERDAT;VERLEN;,INFORM;NINFOM;NTXTDS;"
    "PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "98,Pylon/bridge "
    "support,PYLONS,CATPYL;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;DATEND;DATSTA;"
    "HEIGHT;NATCON;NOBJNM;OBJNAM;VERACC;VERDAT;VERLEN;WATLEV;,INFORM;NINFOM;"
    "NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;"
    "Area;",
    "99,Radar "
    "line,RADLNE,NOBJNM;OBJNAM;ORIENT;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;",
    "100,Radar "
    "range,RADRNG,COMCHA;DATEND;DATSTA;NOBJNM;OBJNAM;STATUS;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "101,Radar "
    "reflector,RADRFL,HEIGHT;STATUS;VERACC;VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "102,Radar "
    "station,RADSTA,CATRAS;DATEND;DATSTA;HEIGHT;NOBJNM;OBJNAM;STATUS;VERACC;"
    "VALMXR;VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;"
    "SORDAT;SORIND;,G,Point;",
    "103,Radar transponder "
    "beacon,RTPBCN,CATRTB;DATEND;DATSTA;NOBJNM;OBJNAM;RADWAL;SECTR1;SECTR2;"
    "SIGGRP;SIGSEQ;STATUS;VALMXR;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "104,Radio calling-in "
    "point,RDOCAL,COMCHA;DATEND;DATSTA;NOBJNM;OBJNAM;ORIENT;PEREND;PERSTA;"
    "STATUS;TRAFIC;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;"
    "SORDAT;SORIND;,G,Point;Line;",
    "105,Radio "
    "station,RDOSTA,CALSGN;CATROS;COMCHA;DATEND;DATSTA;ESTRNG;NOBJNM;OBJNAM;"
    "ORIENT;PEREND;PERSTA;SIGFRQ;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "106,Railway,RAILWY,CONDTN;HEIGHT;NOBJNM;OBJNAM;STATUS;VERACC;,INFORM;"
    "NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;",
    "107,Rapids,RAPIDS,NOBJNM;OBJNAM;VERACC;VERLEN;,INFORM;NINFOM;NTXTDS;"
    "SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;Area;",
    "108,Recommended route "
    "centerline,RCRTCL,CATTRK;DATEND;DATSTA;DRVAL1;DRVAL2;NOBJNM;OBJNAM;ORIENT;"
    "PEREND;PERSTA;QUASOU;SOUACC;STATUS;TECSOU;TRAFIC;VERDAT;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;",
    "109,Recommended "
    "track,RECTRC,CATTRK;DATEND;DATSTA;DRVAL1;DRVAL2;NOBJNM;OBJNAM;ORIENT;"
    "PEREND;PERSTA;QUASOU;SOUACC;STATUS;TECSOU;TRAFIC;VERDAT;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;Area;",
    "110,Recommended Traffic Lane "
    "Part,RCTLPT,DATEND;DATSTA;ORIENT;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "111,Rescue "
    "station,RSCSTA,CATRSC;DATEND;DATSTA;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;,"
    "INFORM;NINFOM;SCAMAX;SCAMIN;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "112,Restricted "
    "area,RESARE,CATREA;DATEND;DATSTA;NOBJNM;OBJNAM;PEREND;PERSTA;RESTRN;"
    "STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Area;",
    "113,Retro-reflector,RETRFL,COLOUR;COLPAT;HEIGHT;MARSYS;STATUS;VERACC;"
    "VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;",
    "114,River,RIVERS,NOBJNM;OBJNAM;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;Area;",
    "115,River "
    "bank,RIVBNK,NOBJNM;OBJNAM;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Line;Area;",
    "116,Road,ROADWY,CATROD;CONDTN;NATCON;NOBJNM;OBJNAM;STATUS;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;"
    "Area;",
    "117,Runway,RUNWAY,CATRUN;CONDTN;CONVIS;NATCON;NOBJNM;OBJNAM;PEREND;PERSTA;"
    "STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;Line;Area;",
    "118,Sand "
    "waves,SNDWAV,VERACC;VERLEN;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;Area;",
    "119,Sea area / named water "
    "area,SEAARE,CATSEA;NOBJNM;OBJNAM;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "120,Sea-plane landing "
    "area,SPLARE,NOBJNM;OBJNAM;PEREND;PERSTA;RESTRN;STATUS;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;VALDCO;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;"
    "Area;",
    "121,Seabed "
    "area,SBDARE,COLOUR;NATQUA;NATSUR;WATLEV;OBJNAM;NOBJNM;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;"
    "Area;",
    "122,Shoreline "
    "Construction,SLCONS,CATSLC;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;DATEND;"
    "DATSTA;HEIGHT;HORACC;HORCLR;HORLEN;HORWID;NATCON;NOBJNM;OBJNAM;STATUS;"
    "VERACC;VERDAT;VERLEN;WATLEV;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;Area;",
    "123,\"Signal station, "
    "traffic\",SISTAT,CATSIT;COMCHA;DATEND;DATSTA;NOBJNM;OBJNAM;PEREND;PERSTA;"
    "STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;",
    "124,\"Signal station, "
    "warning\",SISTAW,CATSIW;COMCHA;DATEND;DATSTA;NOBJNM;OBJNAM;PEREND;PERSTA;"
    "STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;",
    "125,Silo / "
    "tank,SILTNK,BUISHP;CATSIL;COLOUR;COLPAT;CONDTN;CONRAD;CONVIS;ELEVAT;"
    "HEIGHT;NATCON;NOBJNM;OBJNAM;PRODCT;STATUS;VERACC;VERDAT;VERLEN;,INFORM;"
    "NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,"
    "Point;Area;",
    "126,Slope "
    "topline,SLOTOP,CATSLO;COLOUR;CONRAD;CONVIS;ELEVAT;NATCON;NATQUA;NATSUR;"
    "NOBJNM;OBJNAM;VERACC;VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Line;",
    "127,Sloping "
    "ground,SLOGRD,CATSLO;COLOUR;CONRAD;CONVIS;NATCON;NATQUA;NATSUR;NOBJNM;"
    "OBJNAM;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;Area;",
    "128,Small craft "
    "facility,SMCFAC,CATSCF;NOBJNM;OBJNAM;PEREND;PERSTA;STATUS;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "129,Sounding,SOUNDG,EXPSOU;NOBJNM;OBJNAM;QUASOU;SOUACC;TECSOU;VERDAT;"
    "STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;",
    "130,Spring,SPRING,NOBJNM;OBJNAM;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "131,Square,SQUARE,CONDTN;NATCON;NOBJNM;OBJNAM;STATUS;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;"
    "Area;",
    "132,Straight territorial sea "
    "baseline,STSLNE,NATION;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;"
    "RECIND;SORDAT;SORIND;,G,Line;",
    "133,Submarine transit "
    "lane,SUBTLN,NOBJNM;OBJNAM;RESTRN;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "134,Swept "
    "Area,SWPARE,DRVAL1;QUASOU;SOUACC;TECSOU;VERDAT;,INFORM;NINFOM;NTXTDS;"
    "SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "135,Territorial sea "
    "area,TESARE,NATION;RESTRN;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "136,Tidal stream - harmonic "
    "prediction,TS_PRH,NOBJNM;OBJNAM;T_MTOD;T_VAHC;STATUS;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "137,Tidal stream - non-harmonic "
    "prediction,TS_PNH,NOBJNM;OBJNAM;T_MTOD;T_THDF;STATUS;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "138,Tidal stream panel "
    "data,TS_PAD,NOBJNM;OBJNAM;TS_TSP;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "139,Tidal stream - time "
    "series,TS_TIS,NOBJNM;OBJNAM;STATUS;TIMEND;TIMSTA;T_TINT;TS_TSV;,INFORM;"
    "NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;"
    "Area;",
    "140,Tide - harmonic "
    "prediction,T_HMON,NOBJNM;OBJNAM;T_ACWL;T_MTOD;T_VAHC;STATUS;,INFORM;"
    "NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;"
    "Area;",
    "141,Tide - non-harmonic "
    "prediction,T_NHMN,NOBJNM;OBJNAM;T_ACWL;T_MTOD;T_THDF;STATUS;,INFORM;"
    "NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;"
    "Area;",
    "142,Tidal stream - time "
    "series,T_TIMS,NOBJNM;OBJNAM;T_HWLW;T_TINT;T_TSVL;TIMEND;TIMSTA;STATUS;T_"
    "ACWL;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,G,Point;Area;",
    "143,Tideway,TIDEWY,NOBJNM;OBJNAM;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;Area;",
    "144,Top "
    "mark,TOPMAR,COLOUR;COLPAT;HEIGHT;MARSYS;STATUS;TOPSHP;VERACC;VERDAT;"
    "VERLEN;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;"
    "SORDAT;SORIND;,G,Point;",
    "145,Traffic Separation "
    "Line,TSELNE,CATTSS;DATEND;DATSTA;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;",
    "146,Traffic Separation Scheme  "
    "Boundary,TSSBND,CATTSS;DATEND;DATSTA;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Line;",
    "147,Traffic Separation Scheme "
    "Crossing,TSSCRS,CATTSS;DATEND;DATSTA;RESTRN;STATUS;,INFORM;NINFOM;NTXTDS;"
    "SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "148,Traffic Separation Scheme  Lane "
    "part,TSSLPT,CATTSS;DATEND;DATSTA;ORIENT;RESTRN;STATUS;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "149,Traffic Separation Scheme  "
    "Roundabout,TSSRON,CATTSS;DATEND;DATSTA;RESTRN;STATUS;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "150,Traffic Separation "
    "Zone,TSEZNE,CATTSS;DATEND;DATSTA;STATUS;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "151,Tunnel,TUNNEL,BURDEP;CONDTN;HORACC;HORCLR;NOBJNM;OBJNAM;STATUS;VERACC;"
    "VERCLR;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;"
    "SORDAT;SORIND;,G,Point;Line;Area;",
    "152,Two-way route  "
    "part,TWRTPT,CATTRK;DATEND;DATSTA;DRVAL1;DRVAL2;ORIENT;QUASOU;SOUACC;"
    "STATUS;TECSOU;TRAFIC;VERDAT;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Area;",
    "153,Underwater rock / awash "
    "rock,UWTROC,EXPSOU;NATSUR;NATQUA;NOBJNM;OBJNAM;QUASOU;SOUACC;STATUS;"
    "TECSOU;VALSOU;VERDAT;WATLEV;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,G,Point;",
    "154,Unsurveyed "
    "area,UNSARE,,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;"
    "SORDAT;SORIND;,G,Area;",
    "155,Vegetation,VEGATN,CATVEG;CONVIS;ELEVAT;HEIGHT;NOBJNM;OBJNAM;VERACC;"
    "VERDAT;VERLEN;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;"
    "SORDAT;SORIND;,G,Point;Line;Area;",
    "156,Water "
    "turbulence,WATTUR,CATWAT;NOBJNM;OBJNAM;,INFORM;NINFOM;NTXTDS;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;Area;",
    "157,Waterfall,WATFAL,CONVIS;NOBJNM;OBJNAM;VERACC;VERLEN;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Line;",
    "158,Weed/"
    "Kelp,WEDKLP,CATWED;NOBJNM;OBJNAM;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "159,Wreck,WRECKS,CATWRK;CONRAD;CONVIS;EXPSOU;HEIGHT;NOBJNM;OBJNAM;QUASOU;"
    "SOUACC;STATUS;TECSOU;VALSOU;VERACC;VERDAT;VERLEN;WATLEV;,INFORM;NINFOM;"
    "NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,G,Point;Area;",
    "160,Tidal stream - "
    "flood/"
    "ebb,TS_FEB,CAT_TS;CURVEL;DATEND;DATSTA;NOBJNM;OBJNAM;ORIENT;PEREND;PERSTA;"
    ",INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,"
    "G,Point;Area;",
    "300,Accuracy of "
    "data,M_ACCY,HORACC;POSACC;SOUACC;VERACC;,INFORM;NINFOM;NTXTDS;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,M,Area;",
    "301,Compilation scale of "
    "data,M_CSCL,CSCALE;,INFORM;NINFOM;NTXTDS;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,M,Area;",
    "302,Coverage,M_COVR,CATCOV;,INFORM;NINFOM;,RECDAT;RECIND;SORDAT;SORIND;,M,"
    "Area;",
    "303,Horizontal datum of "
    "data,M_HDAT,HORDAT;,INFORM;NINFOM;NTXTDS;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,M,Area;",
    "304,Horizontal datum shift "
    "parameters,M_HOPA,HORDAT;SHIPAM;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;"
    "TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,M,Area;",
    "305,Nautical publication "
    "information,M_NPUB,,INFORM;NINFOM;NTXTDS;PICREP;PUBREF;TXTDSC;,RECDAT;"
    "RECIND;SORDAT;SORIND;,M,Area;",
    "306,Navigational system of "
    "marks,M_NSYS,MARSYS;ORIENT;,INFORM;NINFOM;NTXTDS;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,M,Area;",
    "307,Production "
    "information,M_PROD,AGENCY;CPDATE;NATION;NMDATE;PRCTRY;,INFORM;NINFOM;"
    "NTXTDS;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,M,Area;",
    "308,Quality of "
    "data,M_QUAL,CATQUA;CATZOC;DRVAL1;DRVAL2;POSACC;SOUACC;SUREND;SURSTA;"
    "TECSOU;VERDAT;,INFORM;NINFOM;NTXTDS;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,"
    "M,Area;",
    "309,Sounding "
    "datum,M_SDAT,VERDAT;,INFORM;NINFOM;NTXTDS;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,M,Area;",
    "310,Survey "
    "reliability,M_SREL,QUAPOS;QUASOU;SCVAL1;SCVAL2;SDISMN;SDISMX;SURATH;"
    "SUREND;SURSTA;SURTYP;TECSOU;,INFORM;NINFOM;NTXTDS;TXTDSC;,RECDAT;RECIND;"
    "SORDAT;SORIND;,M,Area;",
    "311,Units of measurement of "
    "data,M_UNIT,DUNITS;HUNITS;PUNITS;,INFORM;NINFOM;NTXTDS;TXTDSC;,RECDAT;"
    "RECIND;SORDAT;SORIND;,M,Area;",
    "312,Vertical datum of "
    "data,M_VDAT,VERDAT;,INFORM;NINFOM;NTXTDS;TXTDSC;,RECDAT;RECIND;SORDAT;"
    "SORIND;,M,Area;",
    "400,Aggregation,C_AGGR,NOBJNM;OBJNAM;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,C,",
    "401,Association,C_ASSO,NOBJNM;OBJNAM;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,C,",
    "402,Stacked on/stacked "
    "under,C_STAC,,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;"
    "RECIND;SORDAT;SORIND;,C,",
    "500,Cartographic "
    "area,$AREAS,COLOUR;ORIENT;$SCODE;$TINTS;,INFORM;NINFOM;NTXTDS;PICREP;"
    "SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,$,",
    "501,Cartographic "
    "line,$LINES,$SCODE;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,"
    "RECDAT;RECIND;SORDAT;SORIND;,$,",
    "502,Cartographic "
    "symbol,$CSYMB,ORIENT;$SCALE;$SCODE;,INFORM;NINFOM;NTXTDS;PICREP;SCAMAX;"
    "SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,$,",
    "503,Compass,$COMPS,$CSIZE;RYRMGV;VALACM;VALMAG;,INFORM;NINFOM;NTXTDS;"
    "PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,$,",
    "504,Text,$TEXTS,$CHARS;COLOUR;$JUSTH;$JUSTV;$NTXST;$SPACE;$TXSTR;,INFORM;"
    "NINFOM;NTXTDS;PICREP;SCAMAX;SCAMIN;TXTDSC;,RECDAT;RECIND;SORDAT;SORIND;,$"
    ",",
    NULL};
static const char *gpapszS57attributes[] = {
    "\"Code\",\"Attribute\",\"Acronym\",\"Attributetype\",\"Class\"",
    "1,Agency responsible for production,AGENCY,A,F",
    "2,Beacon shape,BCNSHP,E,F",
    "3,Building shape,BUISHP,E,F",
    "4,Buoy shape,BOYSHP,E,F",
    "5,Buried depth,BURDEP,F,F",
    "6,Call sign,CALSGN,S,F",
    "7,Category of airport/airfield,CATAIR,L,F",
    "8,Category of anchorage,CATACH,L,F",
    "9,Category of bridge,CATBRG,L,F",
    "10,Category of built-up area,CATBUA,E,F",
    "11,Category of cable,CATCBL,E,F",
    "12,Category of canal,CATCAN,E,F",
    "13,Category of cardinal mark,CATCAM,E,F",
    "14,Category of checkpoint,CATCHP,E,F",
    "15,Category of coastline,CATCOA,E,F",
    "16,Category of control point,CATCTR,E,F",
    "17,Category of conveyor,CATCON,E,F",
    "18,Category of coverage,CATCOV,E,F",
    "19,Category of crane,CATCRN,E,F",
    "20,Category of dam,CATDAM,E,F",
    "21,Category of distance mark,CATDIS,E,F",
    "22,Category of dock,CATDOC,E,F",
    "23,Category of dumping ground,CATDPG,L,F",
    "24,Category of  fence/wall,CATFNC,E,F",
    "25,Category of ferry,CATFRY,E,F",
    "26,Category of  fishing  facility,CATFIF,E,F",
    "27,Category of  fog signal,CATFOG,E,F",
    "28,Category of  fortified structure,CATFOR,E,F",
    "29,Category of gate,CATGAT,E,F",
    "30,Category of harbour facility,CATHAF,L,F",
    "31,Category of hulk,CATHLK,L,F",
    "32,Category of  ice,CATICE,E,F",
    "33,Category of installation buoy,CATINB,E,F",
    "34,Category of land region,CATLND,L,F",
    "35,Category of landmark,CATLMK,L,F",
    "36,Category of lateral mark,CATLAM,E,F",
    "37,Category of light,CATLIT,L,F",
    "38,Category of marine farm/culture,CATMFA,E,F",
    "39,Category of military practice area,CATMPA,L,F",
    "40,Category of mooring/warping facility,CATMOR,E,F",
    "41,Category of navigation line,CATNAV,E,F",
    "42,Category of obstruction,CATOBS,E,F",
    "43,Category of offshore platform,CATOFP,L,F",
    "44,Category of oil barrier,CATOLB,E,F",
    "45,Category of pile,CATPLE,E,F",
    "46,Category of pilot boarding place,CATPIL,E,F",
    "47,Category of pipeline / pipe,CATPIP,L,F",
    "48,Category of production area,CATPRA,E,F",
    "49,Category of pylon,CATPYL,E,F",
    "50,Category of quality of data,CATQUA,E,F",
    "51,Category of radar station,CATRAS,E,F",
    "52,Category of radar transponder beacon,CATRTB,E,F",
    "53,Category of radio station,CATROS,L,F",
    "54,Category of recommended track,CATTRK,E,F",
    "55,Category of rescue station,CATRSC,L,F",
    "56,Category of restricted area,CATREA,L,F",
    "57,Category of road,CATROD,E,F",
    "58,Category of runway,CATRUN,E,F",
    "59,Category of sea area,CATSEA,E,F",
    "60,Category of shoreline construction,CATSLC,E,F",
    "61,\"Category of signal station, traffic\",CATSIT,L,F",
    "62,\"Category of signal station, warning\",CATSIW,L,F",
    "63,Category of silo/tank,CATSIL,E,F",
    "64,Category of slope,CATSLO,E,F",
    "65,Category of small craft facility,CATSCF,L,F",
    "66,Category of special purpose mark,CATSPM,L,F",
    "67,Category of Traffic Separation Scheme,CATTSS,E,F",
    "68,Category of vegetation,CATVEG,L,F",
    "69,Category of water turbulence,CATWAT,E,F",
    "70,Category of weed/kelp,CATWED,E,F",
    "71,Category of wreck,CATWRK,E,F",
    "72,Category of zone of confidence data,CATZOC,E,F",
    "73,Character spacing,$SPACE,E,$",
    "74,Character specification,$CHARS,A,$",
    "75,Colour,COLOUR,L,F",
    "76,Colour pattern,COLPAT,L,F",
    "77,Communication channel,COMCHA,A,F",
    "78,Compass size,$CSIZE,F,$",
    "79,Compilation date,CPDATE,A,F",
    "80,Compilation scale,CSCALE,I,F",
    "81,Condition,CONDTN,E,F",
    "82,\"Conspicuous, Radar\",CONRAD,E,F",
    "83,\"Conspicuous, visual\",CONVIS,E,F",
    "84,Current velocity,CURVEL,F,F",
    "85,Date end,DATEND,A,F",
    "86,Date start,DATSTA,A,F",
    "87,Depth range value 1,DRVAL1,F,F",
    "88,Depth range value 2,DRVAL2,F,F",
    "89,Depth units,DUNITS,E,F",
    "90,Elevation,ELEVAT,F,F",
    "91,Estimated range of transmission,ESTRNG,F,F",
    "92,Exhibition condition of light,EXCLIT,E,F",
    "93,Exposition of sounding,EXPSOU,E,F",
    "94,Function,FUNCTN,L,F",
    "95,Height,HEIGHT,F,F",
    "96,Height/length units,HUNITS,E,F",
    "97,Horizontal accuracy,HORACC,F,F",
    "98,Horizontal clearance,HORCLR,F,F",
    "99,Horizontal length,HORLEN,F,F",
    "100,Horizontal width,HORWID,F,F",
    "101,Ice factor,ICEFAC,F,F",
    "102,Information,INFORM,S,F",
    "103,Jurisdiction,JRSDTN,E,F",
    "104,Justification - horizontal,$JUSTH,E,$",
    "105,Justification - vertical,$JUSTV,E,$",
    "106,Lifting capacity,LIFCAP,F,F",
    "107,Light characteristic,LITCHR,E,F",
    "108,Light visibility,LITVIS,L,F",
    "109,Marks navigational - System of,MARSYS,E,F",
    "110,Multiplicity of lights,MLTYLT,I,F",
    "111,Nationality,NATION,A,F",
    "112,Nature of construction,NATCON,L,F",
    "113,Nature of surface,NATSUR,L,F",
    "114,Nature of surface - qualifying terms,NATQUA,L,F",
    "115,Notice to Mariners date,NMDATE,A,F",
    "116,Object name,OBJNAM,S,F",
    "117,Orientation,ORIENT,F,F",
    "118,Periodic date end,PEREND,A,F",
    "119,Periodic date start,PERSTA,A,F",
    "120,Pictorial representation,PICREP,S,F",
    "121,Pilot district,PILDST,S,F",
    "122,Producing country,PRCTRY,A,F",
    "123,Product,PRODCT,L,F",
    "124,Publication reference,PUBREF,S,F",
    "125,Quality of sounding measurement,QUASOU,L,F",
    "126,Radar wave length,RADWAL,A,F",
    "127,Radius,RADIUS,F,F",
    "128,Recording date,RECDAT,A,F",
    "129,Recording indication,RECIND,A,F",
    "130,Reference year for magnetic variation,RYRMGV,A,F",
    "131,Restriction,RESTRN,L,F",
    "132,Scale maximum,SCAMAX,I,F",
    "133,Scale minimum,SCAMIN,I,F",
    "134,Scale value one,SCVAL1,I,F",
    "135,Scale value two,SCVAL2,I,F",
    "136,Sector limit one,SECTR1,F,F",
    "137,Sector limit two,SECTR2,F,F",
    "138,Shift parameters,SHIPAM,A,F",
    "139,Signal frequency,SIGFRQ,I,F",
    "140,Signal generation,SIGGEN,E,F",
    "141,Signal group,SIGGRP,A,F",
    "142,Signal period,SIGPER,F,F",
    "143,Signal sequence,SIGSEQ,A,F",
    "144,Sounding accuracy,SOUACC,F,F",
    "145,Sounding distance - maximum,SDISMX,I,F",
    "146,Sounding distance - minimum,SDISMN,I,F",
    "147,Source date,SORDAT,A,F",
    "148,Source indication,SORIND,A,F",
    "149,Status,STATUS,L,F",
    "150,Survey authority,SURATH,S,F",
    "151,Survey date - end,SUREND,A,F",
    "152,Survey date - start,SURSTA,A,F",
    "153,Survey type,SURTYP,L,F",
    "154,Symbol scaling factor,$SCALE,F,$",
    "155,Symbolization code,$SCODE,A,$",
    "156,Technique of sounding measurement,TECSOU,L,F",
    "157,Text string,$TXSTR,S,$",
    "158,Textual description,TXTDSC,S,F",
    "159,Tidal stream - panel values,TS_TSP,A,F",
    "160,\"Tidal stream, current - time series values\",TS_TSV,A,F",
    "161,Tide - accuracy of water level,T_ACWL,E,F",
    "162,Tide - high and low water values,T_HWLW,A,F",
    "163,Tide - method of tidal prediction,T_MTOD,E,F",
    "164,Tide - time and height differences,T_THDF,A,F",
    "165,\"Tide, current - time interval of values\",T_TINT,I,F",
    "166,Tide - time series values,T_TSVL,A,F",
    "167,Tide - value of harmonic constituents,T_VAHC,A,F",
    "168,Time end,TIMEND,A,F",
    "169,Time start,TIMSTA,A,F",
    "170,Tint,$TINTS,E,$",
    "171,Topmark/daymark shape,TOPSHP,E,F",
    "172,Traffic flow,TRAFIC,E,F",
    "173,Value of annual change in magnetic variation,VALACM,F,F",
    "174,Value of depth contour,VALDCO,F,F",
    "175,Value of local magnetic anomaly,VALLMA,F,F",
    "176,Value of magnetic variation,VALMAG,F,F",
    "177,Value of maximum range,VALMXR,F,F",
    "178,Value of nominal range,VALNMR,F,F",
    "179,Value of sounding,VALSOU,F,F",
    "180,Vertical accuracy,VERACC,F,F",
    "181,Vertical clearance,VERCLR,F,F",
    "182,\"Vertical clearance, closed\",VERCCL,F,F",
    "183,\"Vertical clearance, open\",VERCOP,F,F",
    "184,\"Vertical clearance, safe\",VERCSA,F,F",
    "185,Vertical datum,VERDAT,E,F",
    "186,Vertical length,VERLEN,F,F",
    "187,Water level effect,WATLEV,E,F",
    "188,Category of Tidal stream,CAT_TS,E,F",
    "189,Positional accuracy units,PUNITS,E,F",
    "300,Information in national language,NINFOM,S,N",
    "301,Object name in national language,NOBJNM,S,N",
    "302,Pilot district in national language,NPLDST,S,N",
    "303,Text string in national language,$NTXST,S,N",
    "304,Textual description in national language,NTXTDS,S,N",
    "400,Horizontal datum,HORDAT,E,S",
    "401,Positional Accuracy,POSACC,F,S",
    "402,Quality of position,QUAPOS,E,S",
    NULL};
